<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:prop="java.util.Properties"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	 <xsl:param name="selected_user" select="e" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="enableComments" select="e" />
	<xsl:param name="accessionMap" select="e" />
	<xsl:param name="navig_url" select="ProcessMonitorHandlerPO.po" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="navigation.xsl" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="properties.xsl"/>
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html>
			<head>
				<title>Process Monitor</title>
				<script type="text/javascript">
					function submitForm(formId, actionAttr) { var
					formTag = document.getElementById(formId);
					formTag.action=actionAttr; formTag.submit(); }
					
					function submitFormEvent(formId, actionAttr,event) {
					var formTag = document.getElementById(formId);
					formTag.action=actionAttr;
					formTag.event.value=event; formTag.submit(); }
					
					 function openNewDialogWindow(pageName,windowName,parameters) {
					 window.open(pageName,windowName,parameters); 
                     }
					
					function submitContentFormWithAction(formId,actionAttr,event, txt) {
                    if(confirm(txt))
	                 {
   	                alreadySubmited = true;
  	                if(window.event != null)
    	           window.event.returnValue = false;
  	               var formTag = document.getElementById(formId);
	               formTag.action=actionAttr;
  	               formTag.event.value=event;
  	               formTag.submit();
  	             }
  	            }
				</script>
			</head>
			<body class="body_home">
				<form id="mainForm" name="mainForm" method="post"
					action="Blank.xhtml">
					<input type="hidden" name="event" />
					<xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','refresh')</xsl:variable>
					<xsl:variable name="tUrl">javascript:submitContentFormWithAction('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessMonitorHandlerPO.po','terminateAll','Do you really want to terminate all?')</xsl:variable>
                    <xsl:variable name="dUrl">javascript:submitContentFormWithAction('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessMonitorHandlerPO.po','deleteAll','Do you really want to delete all?')</xsl:variable>
                    <xsl:variable name="fdUrl">javascript:submitContentFormWithAction('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','fastDelete','Do you really want to delete all?')</xsl:variable>
                    <xsl:variable name="revUrl">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessMonitorHandlerPO.po','revaluateAss')</xsl:variable>
                    <xsl:variable name="cUrl">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessMonitorHandlerPO.po','checkDl')</xsl:variable>
                    <xsl:variable name="lUrl">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=ProcessMonitorHandlerPO.po','checkLimit')</xsl:variable>



                <xsl:variable name="first">
                      <xsl:value-of select="substring-after($accessionMap,'{')" />
                    </xsl:variable>

                     <xsl:variable name="final">
                      <xsl:value-of select="substring-before($first,'}')" />
                    </xsl:variable>
                    <xsl:call-template name="Prop">
                         <xsl:with-param name="string"
					 	 select="$final" />
					    <xsl:with-param name="delimiter" select="', '" />
                    </xsl:call-template>

                    <xsl:variable name="prop_repository" select="prop:getProperty('repository','true')"/>
                    <xsl:variable name="prop_packagelist" select="prop:getProperty('packagelist','true')"/>
                    <xsl:variable name="prop_processinst" select="prop:getProperty('processinst','true')"/>
                    <xsl:variable name="prop_processmonitor" select="prop:getProperty('processmonitor','true')"/>
                    <xsl:variable name="prop_usermanag" select="prop:getProperty('usermanag','false')"/>
                    <xsl:variable name="prop_worklist" select="prop:getProperty('worklist','true')"/>
                    <xsl:variable name="prop_processlist" select="prop:getProperty('processlist','true')"/>
                    <xsl:variable name="prop_cache" select="prop:getProperty('cache','true')"/>
                    <xsl:variable name="prop_application" select="prop:getProperty('application','false')"/>

					<table class="title_style" width="85%" border="0"
						align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td colspan="5">
                              <table width="100%">
                                <tr>
                                  <td width="2%" />
                  
                                   <td class="logo_image_one"/>
                              
                                   <td  class="logo_image_two" />
                     
                                    <td class="logo_image_three"/>
                                  <td width="2%" />
                              </tr>
                        </table>
                        </td>
                     </tr>
						<tr>
							<td width="2%" />

							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>

										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>

									<tr>

										<td align="right"
											class="title_style">
								<table>
								 <tr>

                                  <td class="title_style">
                                    <xsl:if test="$prop_repository='true'">
                                     <a href="RepositoryHandlerPO.po"><img src="media/RepositoryDis.gif" border="0" alt="Repository"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_repository='false'">
                                     <img src="media/repository_gr.gif" border="0" alt="Repository"/>
                                   </xsl:if>
                                  </td>
                                  <td class="title_style">
                                    <xsl:if test="$prop_packagelist='true'">
                                      <a href="PackageHandlerPO.po"><img src="media/packagelist_dis.gif" border="0" alt="Package List"/></a>
                                    </xsl:if>
                                  <xsl:if test="$prop_packagelist='false'">
                                   <img src="media/packagelist_gr.gif" border="0" alt="Package List"/>
                                  </xsl:if>
                                 </td>
                                  <td class="title_style">
                                   <xsl:if test="$prop_processinst='true'">
                                    <a href="ProcessInstantiationHandlerPO.po"><img src="media/processinst.gif" border="0" alt="Process Instantiation"/></a>
                                  </xsl:if>
                                  <xsl:if test="$prop_processinst='false'">
                                    <img src="media/processinst_gr.gif" border="0" alt="Process Instantiation"/>
                                  </xsl:if>
                                  </td>
                                  <td class="title_style">

                                    <a href="ProcessMonitorHandlerPO.po"><img src="media/processmonitor.gif" border="0" alt="Process Monitor"/></a>

                                  </td>
                                  <td class="title_style">
                                   <xsl:if test="$prop_usermanag='true'">
                                       <a href="GroupHandlerPO.po"><img src="media/usermanag_dis.gif" border="0" alt="User and Group Management"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_usermanag='false'">
                                       <img src="media/usermanag_gr.gif" border="0" alt="User and Group Management"/>
                                   </xsl:if>
                                    </td>
                                    <td class="title_style">
                                   <xsl:if test="$prop_application='true'">
                                       <a href="ApplicationMappingHandlerPO.po"><img src="media/appmapping_blue.gif" border="0" alt="Application Mapping"/></a>
                                   </xsl:if>
                                    <xsl:if test="$prop_application='false'">
                                       <img src="media/appmapping_gr.gif" border="0" alt="Application Mapping"/>
                                   </xsl:if>
                                   </td>
                                     <td class="title_style">
                                  <xsl:if test="$prop_cache='true'">
                                       <a href="CacheHandlerPO.po"><img src="media/cache.gif" border="0" alt="Cache Management"/></a>
                                  </xsl:if>
                                   <xsl:if test="$prop_cache='false'">
                                       <img src="media/cache_gr.gif" border="0" alt="Cache Management"/>
                                  </xsl:if>
                                  </td>
                                   <td class="title_style">
                                    <xsl:if test="$prop_worklist='true'">
                                    <a href="WorklistHandlerPO.po"><img src="media/WorkListDis.gif" border="0" alt="Work List"/></a>
                                   </xsl:if>
                                   <xsl:if test="$prop_worklist='false'">
                                    <img src="media/worklist_gr.gif" border="0" alt="Work List"/>
                                   </xsl:if>
                                  </td>
                                  <td class="title_style">
                                  <xsl:if test="$prop_processlist='true'">
                                       <a href="ProcessHandlerPO.po"><img src="media/processlist.gif" border="0" alt="My Processes"/></a>
                                  </xsl:if>
                                   <xsl:if test="$prop_processlist='false'">
                                       <img src="media/processlist_gr.gif" border="0" alt="My Processes"/>
                                  </xsl:if>
                                    </td>

                                 </tr>

                              </table>
										</td></tr>
									<tr>

                                 <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
										</td>
									</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td class="body_upper" colspan="5"
								height="4" />
						</tr>
						<tr>
						 <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
					        Process Monitor ( <xsl:value-of select="$total_number"/> entries )
				         </td>
				         <td align="center" class="body_home" height="15" width="5%">
                          <xsl:call-template name="Navigation"/>
                         </td>
				         <td align="right" class="body_home" height="15">
				         <b>User:</b> <xsl:value-of select="$username" />
				          </td>
                         <td align="left" class="body_home" width="2%"/>
					    </tr>
						<tr>
							<td class="body_lower" colspan="5"
								height="1" />
						</tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
				         <xsl:if test="$sharkEdition!='community'">
				          <table>
				           <tr>
				           <td>
				            <a href="{$tUrl}" class="link_text">
                             <img src="media/gears_stop.gif" border="0" alt="Terminate All Processes"/>
                            </a>
                           </td>
                            <td>
                            <a href="{$dUrl}" class="link_text">
                             <img src="media/delete.gif" border="0" alt="Delete All Processes"/>
                            </a>
                            </td>
                            <td>
                            <a href="{$fdUrl}" class="link_text">
                             <img src="media/fastdeletion.gif" border="0" alt="Fast delete All Processes"/>
                            </a>
                            </td>
                            <td>
                            <a href="{$revUrl}" class="link_text">
                             <img src="media/gears_preferences.gif" border="0" alt="Re-evaluate Assignments"/>
                            </a>
                            </td>
                            <td>
                            <a href="{$cUrl}" class="link_text">
                              <img src="media/gear_view.gif" border="0" alt="Check Deadlines"/>
                            </a>
                            </td>
                            <td>
                            <a href="{$lUrl}" class="link_text">
                              <img src="media/gears_view.gif" border="0" alt="Check Limits"/>
                            </a>
                            </td>
                           </tr>
                           </table>
                          </xsl:if>
				         </td>
				         <td align="center" class="body_home" height="15" width="5%"/>
				         <td align="right" class="body_home" height="15"/>
                         <td align="left" class="body_home" width="2%"/>
                        </tr>
               <tr>
                  <td class="body_lower" colspan="5" height="1"/>
               </tr>
						<tr>
							<td colspan="5">
								<table width="100%" hight="100%"
									border="1" cellpadding="0" cellspacing="0" class="body_main">
									<tr>
										<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=id&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
										<td class="main_header_text">
											<div align="center">
												<a href="{$url}">Id</a>
											</div>
										</td>
										<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
										<td class="main_header_text">
											<div align="center">
												<a href="{$url}">
													Name
												</a>
											</div>
										</td>
										<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=requester&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
										<td class="main_header_text">
											<div align="center">
												<a href="{$url}">
													Requester
												</a>
											</div>
										</td>
										<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=priority&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
										<td class="main_header_text">
											<div align="center">
												<a href="{$url}">
													Priority
												</a>
											</div>
										</td>
										<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=createdtime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
										<td class="main_header_text">
											<div align="center">
												<a href="{$url}">
													Created
												</a>
											</div>
										</td>
										<td class="main_header_text">
											<div align="center">
												Finished
											</div>
										</td>
										<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=state&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
										<td class="main_header_text">
											<div align="center">
												<a href="{$url}">
													State
												</a>
											</div>
										</td>
										<td class="main_header_text">
											<div align="center">
												Actions
											</div>
										</td>
									</tr>
									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance'">
												<tr
													class="content_label_text" bgcolor="white">
													<td
														align="center">
														<xsl:value-of
															select="@Id" />
													</td>
													<td
														align="center">
														<xsl:value-of
															select="@Name" />
													</td>
													<td
														align="center">
														<xsl:value-of
															select="@RequesterUsername" />
													</td>
													<td
														align="center">
														<xsl:value-of
															select="xpil:InstancePriority" />
													</td>
													<td
														align="center">
														<xsl:value-of
															select="concat(substring(@Created,0,11),' ',substring(@Created,12,5))" />
													</td>
													<xsl:choose>
														<xsl:when
															test="@State='open.running' or @State='open.not_running.suspended'">
															<td
																align="center">
																-
															</td>
														</xsl:when>
														<xsl:otherwise>
															<td
																align="center">
																<xsl:value-of
																	select="concat(substring(@Finished,0,11),' ',substring(@Finished,12,5))" />
															</td>
														</xsl:otherwise>
													</xsl:choose>
													<td
														align="center">
														<xsl:value-of
															select="@State" />
													</td>
													<xsl:variable
														name="detailUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														&#38;fromPage=ProcessMonitorHandlerPO.po
														&#38;readonly=true
														','details')
													</xsl:variable>
													<xsl:variable
														name="historyUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														&#38;fromPage=ProcessMonitorHandlerPO.po
														&#38;readonly=true
														','history')
													</xsl:variable>
													<xsl:variable
														name="activitiesUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														&#38;fromPage=ProcessMonitorHandlerPO.po
														','activities')
													</xsl:variable>
													<xsl:variable
														name="suspendUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														','suspend','Do you really want to suspend process?')
													</xsl:variable>
													<xsl:variable
														name="revalUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														&#38;page=ProcessMonitorHandlerPO.po
														','revaluate')
													</xsl:variable>
													<xsl:variable
														name="checkUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														&#38;page=ProcessMonitorHandlerPO.po
														','check')
													</xsl:variable>
													<xsl:variable
														name="limitUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														&#38;page=ProcessMonitorHandlerPO.po
														','limit')
													</xsl:variable>
													<xsl:variable
														name="resumeUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														','resume')
													</xsl:variable>
													<xsl:variable
														name="startUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														','start')
													</xsl:variable>
													<xsl:variable
														name="terminateUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														','terminate','Do you really want to terminate process?')
													</xsl:variable>

													<xsl:variable
														name="deleteUrl">
														javascript:submitContentFormWithAction('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														','delete','Do you really want to delete process?')
													</xsl:variable>
													<xsl:variable
														name="variablesUrl">
														javascript:submitFormEvent('mainForm','ProcessMonitorHandlerPO.po?from=
														<xsl:value-of
															select="$from_element" />
														&#38;sortCriterion=
														<xsl:value-of
															select="$sortCriterion" />
														&#38;sortAsc=
														<xsl:value-of
															select="$sortAsc" />
														&#38;pro_id=
														<xsl:value-of
															select="@Id" />
														&#38;fromPage=ProcessMonitorHandlerPO.po
														','variables')
													</xsl:variable>
													
													<xsl:variable
														name="allCommentsUrl">
														javascript:openNewDialogWindow('AllCommentsHandlerPO.po?pro_id=<xsl:value-of
															select="@Id" />','dialog','resizable=no,scrollbars=yes')
													</xsl:variable>
													<td colspan="3"
														class="title_style" height="30" align="center">
														<table>
														<tr>
														<td>
														<a
															href="{$detailUrl}" class="link_text">
															<img
																src="media/gear_information.gif" alt="Process details"
																border="0" />
														</a>
														</td>

                                                         <xsl:if
															test="@State='open.not_running.not_started'">
														  <td>
															<a
																href="{$startUrl}" class="link_text">
																<img
																	src="media/gear_run.gif" alt="Process start"
																	border="0" />
															</a>
															</td>
														</xsl:if>
														<xsl:if
															test="@State='open.running'">
															<td>
															<a
																href="{$suspendUrl}" class="link_text">
																<img
																	src="media/gear_pause.gif" alt="Process suspend"
																	border="0" />
															</a>
															</td>
														</xsl:if>
														<xsl:if
															test="@State='open.not_running.suspended'">
															<td>
															<a
																href="{$resumeUrl}" class="link_text">
																<img
																	src="media/gear_refresh.gif" alt="Process resume" border="0" />
															</a>
															</td>
														</xsl:if>

														<xsl:if
															test="not(starts-with(@State,'closed'))">

															<td>
															<a href="{$terminateUrl}" class="link_text">
																<img
																	src="media/gear_stop.gif" alt="Process terminate"
																	border="0" />
															</a>
															</td>
														</xsl:if>

														<xsl:if
															test="starts-with(@State,'closed')">
															<td>
															<a
																href="{$deleteUrl}" class="link_text">
																<img
																	src="media/delete.gif" alt="Process delete"
																	border="0" />
															</a>
															</td>
														</xsl:if>
														<xsl:if
															test="not(starts-with(@State,'closed'))">
														<td>
														<a
																href="{$revalUrl}" class="link_text">
																<img
																	src="media/gear_preferences.gif" alt="Re-evaluate assignments"
																	border="0" />
															</a>
															</td>
														</xsl:if>
															<xsl:if
															test="@State='open.running'">
															<td>
															<a
																href="{$checkUrl}" class="link_text">
																<img
																	src="media/gear_view.gif" alt="Check deadlines"
																	border="0" />
															</a>
															</td>
															<td>
															<a
																href="{$limitUrl}" class="link_text">
																<img
																	src="media/gears_view.gif" alt="Check limits"
																	border="0" />
															</a>
															</td>
															</xsl:if>
															<td>
															<a
																href="{$activitiesUrl}" class="link_text">
																<img
																	src="media/activity.gif" alt="Process activities"
																	border="0" />
															</a>
															</td>

														   <td>
															<a
																href="{$variablesUrl}" class="link_text">
																<img
																	src="media/form_green.gif" alt="Process variables"
																	border="0" />
															</a>
															</td>
															<xsl:if test="$sharkEdition!='community'">
															 <td>
															  <a
																href="{$historyUrl}" class="link_text">
																<img
																	src="media/history.gif" alt="Process history"
																	border="0" />
															 </a>
															 </td>
															  <xsl:if test="$enableComments='true'">
															  <td>
															  <a
																href="{$allCommentsUrl}" class="link_text">
																<img
																	src="media/allcomments.gif" alt="Comments"
																	border="0" />
															 </a>
															 </td>
															 </xsl:if>
															</xsl:if>
															

                                                       </tr>
                                                       </table>

													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</table>
							</td>
						</tr>
						<tr>
						    <td width="2"/>
							<td colspan="3" class="title_style"
								height="30" align="right">
								<a href="{$rUrl}">
									<img src="media/refresh_n.gif"
										border="0" alt="Refresh Process List" />
								</a>
							</td>
							<td width="2%" />
						</tr>
						<tr>
                         <td align="left" class="body_bottom"
                           width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
                            &#169; 2006 Together Teaml&#246;sungen
                        </td>
                        <td class="body_bottom" height="15" align="right">
                           <xsl:if test="$auth_type!='BASIC'"> 
                              <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                              <a href="{$loUrl}">Log-out</a>
                           </xsl:if>
                        </td>
                          <td align="left" class="body_bottom"
                            width="2%" />
                        </tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
